Bug 230756 - [exp-run] Remove arc4random_stir and arc4random_addrandom
Summary: [exp-run] Remove arc4random_stir and arc4random_addrandom
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Package Infrastructure (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Port Management Team
URL:
Keywords:
Depends on: 230764 230825 230826 230829 230831 230834 230835
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-19 19:12 UTC by Xin LI
Modified: 2018-08-26 08:54 UTC (History)
0 users

See Also:


Attachments
Patch (against r338059 or later). (530 bytes, patch)
2018-08-19 19:12 UTC, Xin LI
no flags Details | Diff
Combined patchset for ports tree (6.63 KB, patch)
2018-08-23 06:12 UTC, Xin LI
no flags Details | Diff
Revised patch for gtk-gnutella (909 bytes, patch)
2018-08-25 19:52 UTC, Xin LI
no flags Details | Diff
Oops, revised patch for gtk-gnutella for real this time. (2.01 KB, patch)
2018-08-25 19:54 UTC, Xin LI
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2018-08-19 19:12:08 UTC
Created attachment 196358 [details]
Patch (against r338059 or later).

I'd like to request an exp-run with the attached patch for the API removal.
Comment 1 Antoine Brodin freebsd_committer 2018-08-19 19:59:13 UTC
Shouldn't r338059 also have been tested in an exp-run?
Comment 2 Antoine Brodin freebsd_committer 2018-08-19 21:52:50 UTC
devel/libevent fails to link which prevents ~800 ports from being tested:

http://package23.nyi.freebsd.org/data/headi386PR230756-default/2018-08-19_20h52m25s/logs/errors/libevent-2.1.8_1.log
Comment 3 Xin LI freebsd_committer 2018-08-20 02:23:08 UTC
(In reply to Antoine Brodin from comment #1)
r338059 shouldn't break anything, I have been using it for years and it have provided compatibility shims.

I'll take a look at libevent et al.
Comment 4 Xin LI freebsd_committer 2018-08-20 05:26:28 UTC
Could you please apply patch in https://bugs.freebsd.org/230764 (https://bz-attachments.freebsd.org/attachment.cgi?id=196373) and let me know the additional broken ports?
Comment 7 Antoine Brodin freebsd_committer 2018-08-23 05:46:03 UTC
Can you bundle all the patches in 1 patch for the exp-run?
Comment 8 Xin LI freebsd_committer 2018-08-23 06:00:19 UTC
(In reply to Antoine Brodin from comment #7)
Sure, I'll bundle them into one and attach in the main bug.
Comment 9 Xin LI freebsd_committer 2018-08-23 06:12:00 UTC
Created attachment 196464 [details]
Combined patchset for ports tree
Comment 11 Antoine Brodin freebsd_committer 2018-08-25 17:28:24 UTC
All ports patches except the gtk-gnutella one are approved by portmgr.
Comment 12 Xin LI freebsd_committer 2018-08-25 19:52:49 UTC
Created attachment 196541 [details]
Revised patch for gtk-gnutella
Comment 13 Xin LI freebsd_committer 2018-08-25 19:54:03 UTC
Created attachment 196542 [details]
Oops, revised patch for gtk-gnutella for real this time.
Comment 14 Antoine Brodin freebsd_committer 2018-08-26 05:49:09 UTC
patch for gtk-gnutella approved by portmgr
Comment 15 commit-hook freebsd_committer 2018-08-26 07:47:00 UTC
A commit references this bug:

Author: delphij
Date: Sun Aug 26 07:45:56 UTC 2018
New revision: 478103
URL: https://svnweb.freebsd.org/changeset/ports/478103

Log:
  mail/exim: Stop using arc4random_stir.

  PR:		230826, 230756
  Approved by:	portmgr

Changes:
  head/mail/exim/Makefile
  head/mail/exim/files/patch-OS_os.h-FreeBSD
Comment 16 commit-hook freebsd_committer 2018-08-26 07:57:12 UTC
A commit references this bug:

Author: delphij
Date: Sun Aug 26 07:56:40 UTC 2018
New revision: 478104
URL: https://svnweb.freebsd.org/changeset/ports/478104

Log:
  devel/libevent: Don't use arc4random_addrandom.

  PR:		230764, 230756
  Approved by:	portmgr (antoine)

Changes:
  head/devel/libevent/Makefile
  head/devel/libevent/files/patch-evutil__rand.c
Comment 17 commit-hook freebsd_committer 2018-08-26 08:08:24 UTC
A commit references this bug:

Author: delphij
Date: Sun Aug 26 08:07:30 UTC 2018
New revision: 478105
URL: https://svnweb.freebsd.org/changeset/ports/478105

Log:
  net-p2p/gtk-gnutella: Do not call arc4random_stir or arc4random_addrandom.

  PR:		230829, 230756
  Approved by:	portmgr (antoine)

Changes:
  head/net-p2p/gtk-gnutella/Makefile
  head/net-p2p/gtk-gnutella/files/
  head/net-p2p/gtk-gnutella/files/patch-src_lib_arc4random.c
  head/net-p2p/gtk-gnutella/files/patch-src_lib_random.c
Comment 18 commit-hook freebsd_committer 2018-08-26 08:17:32 UTC
A commit references this bug:

Author: delphij
Date: Sun Aug 26 08:16:51 UTC 2018
New revision: 478106
URL: https://svnweb.freebsd.org/changeset/ports/478106

Log:
  net/relayd: Stop using arc4random_stir

  PR:		230830, 230756
  Approved by:	portmgr (antoine)

Changes:
  head/net/relayd/Makefile
  head/net/relayd/files/patch-relayd_relayd.c
Comment 19 commit-hook freebsd_committer 2018-08-26 08:27:44 UTC
A commit references this bug:

Author: delphij
Date: Sun Aug 26 08:26:42 UTC 2018
New revision: 478107
URL: https://svnweb.freebsd.org/changeset/ports/478107

Log:
  textproc/htmldoc: Do not use arc4random_stir.

  (Note that there is an updated version which will solve this too, but I
  am committing this one and will rebase the patch in bug 223721 as it still
  needs maintainer approval).

  PR:		230831, 230756
  Approved by:	portmgr (antoine)

Changes:
  head/textproc/htmldoc/Makefile
  head/textproc/htmldoc/files/patch-htmldoc__http.c
Comment 20 commit-hook freebsd_committer 2018-08-26 08:36:57 UTC
A commit references this bug:

Author: delphij
Date: Sun Aug 26 08:36:31 UTC 2018
New revision: 478108
URL: https://svnweb.freebsd.org/changeset/ports/478108

Log:
  security/heimdal: Don't call arc4random_stir.

  PR:		230835, 230756
  Approved by:	portmgr (antoine)

Changes:
  head/security/heimdal/Makefile
  head/security/heimdal/files/patch-lib_roken_rand.c
Comment 21 commit-hook freebsd_committer 2018-08-26 08:47:08 UTC
A commit references this bug:

Author: delphij
Date: Sun Aug 26 08:46:30 UTC 2018
New revision: 478109
URL: https://svnweb.freebsd.org/changeset/ports/478109

Log:
  net/samba48: Do not use arc4random_stir.

  PR:		230834, 230756
  Approved by:	portmgr (antoine)

Changes:
  head/net/samba48/Makefile
  head/net/samba48/files/patch-source4__heimdal__lib__roken__rand.c
Comment 22 commit-hook freebsd_committer 2018-08-26 08:51:15 UTC
A commit references this bug:

Author: delphij
Date: Sun Aug 26 08:50:58 UTC 2018
New revision: 478110
URL: https://svnweb.freebsd.org/changeset/ports/478110

Log:
  dns/samba-nsupdate: Stop using arc4random_addrandom.

  PR:		230825, 230756
  Approved by;	portmgr (antoine)

Changes:
  head/dns/samba-nsupdate/Makefile
  head/dns/samba-nsupdate/files/patch-lib_isc_random.c
Comment 23 Xin LI freebsd_committer 2018-08-26 08:54:18 UTC
All known issues were fixed, thanks!